---
title: HTMLMediaElement.controlsList
slug: Web/API/HTMLMediaElement/controlsList
tags:
  - API
  - HTML DOM
  - HTMLMediaElement
  - Media
  - Property
  - Reference
---
<p>{{SeeCompatTable}}{{APIRef("HTML DOM")}}</p>

<p>The <strong><code>controlsList</code></strong> property of the {{domxref("HTMLMediaElement")}} interface returns a DOMTokenList that helps the user agent select what controls to show on the media element whenever the user agent shows its own set of controls. The DOMTokenList takes one or more of three possible values: <code>nodownload</code>, <code>nofullscreen</code>, and <code>noremoteplayback</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var domTokenList = HTMLMediaElement.controlsList;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMTokenList")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td><a href="https://wicg.github.io/controls-list/#solution-outline">Controls List API: Solution outline</a></td>
   <td></td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>

<p>{{Compat("api.HTMLMediaElement.controlsList")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a class="external-icon external" href="https://googlechrome.github.io/samples/media/controlslist.html">Chrome HTMLMediaElement controlsList Sample</a></li>
</ul>
